<div class="flex w-screen h-screen justify-center items-center flex-col">
  @if (!submitted){
  <form class="w-80" (ngSubmit)="onSubmit()" #subscriptionForm="ngForm">
    <label class="form-control w-full max-w-xs" for="email">
      <div class="label">
        <span class="label-text">Email: </span>
      </div>
      <input
        type="email"
        id="email"
        name="email"
        class="input input-bordered w-full max-w-xs"
        ngModel
        placeholder="test@gmail.com"
        required
        email
        #email="ngModel"
      />
      <div class="p-1">
        <span
          class="text-sm"
          [ngClass]="{
            'text-red-600': !email.valid && email.touched,
            'text-transparent': email.valid || !email.touched
          }"
          >Please enter a valid email!</span
        >
      </div>
    </label>

    <label class="form-control w-full max-w-xs" for="password">
      <div class="label">
        <span class="label-text">Password: </span>
      </div>
      <input
        type="password"
        id="password"
        name="password"
        class="input input-bordered w-full max-w-xs"
        ngModel
        required
        #password="ngModel"
      />
      <div class="p-1">
        <span
          class="text-sm"
          [ngClass]="{
            'text-red-600': !password.valid && password.touched,
            'text-transparent': password.valid || !password.touched
          }"
          >Please enter a password!</span
        >
      </div>
    </label>

    <label class="form-control w-full max-w-xs mb-8" for="subscription">
      <div class="label">
        <span class="label-text">Subscription: </span>
      </div>
      <select
        class="select select-bordered w-full max-w-xs"
        id="subscription"
        name="subscription"
        [ngModel]="defaultSubscription"
      >
        @for (subscriptionOption of subscriptions; track subscriptionOption) {
        <option [value]="subscriptionOption">{{ subscriptionOption }}</option>
        }
      </select>
    </label>

    <button
      type="submit"
      class="btn btn-primary rounded-lg"
      [disabled]="!subscriptionForm.valid"
    >
      Subscribe
    </button>
  </form>
  } @else {
  <div class="mb-3">
    <h1 class="text-center text-5xl">
      Congratulations to your
      <span class="text-primary">{{ subscriptionData.subscription }}</span>
      subscription.
    </h1>
  </div>
  <div>
    <h2 class="text-center text-2xl">
      A confirmation was sent to {{ subscriptionData.email }}.
    </h2>
  </div>
  <div class="mt-12">
    <button
      class="btn btn-primary px-3 w-32 text-lg rounded-lg"
      (click)="onBackButtonClicked()"
    >
      Back
    </button>
  </div>
  }
</div>
